Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ShareUsersWithBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ShareUsersWithBot

Enclosing class:
  TdApi

public static final class TdApi.ShareUsersWithBot extends TdApi.Function<TdApi.Ok>
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`buttonId`
Identifier of the button.
`long`
`chatId`
Identifier of the chat with the bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
Identifier of the message with the button.
`boolean`
`onlyCheck`
Pass true to check that the users can be shared by the button instead of actually sharing them.
`long[]`
`sharedUserIds`
Identifiers of the shared users.

## Constructor Summary

Constructors
Constructor
Description
`ShareUsersWithBot()`
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.
`ShareUsersWithBot(long chatId, long messageId, int buttonId, long[] sharedUserIds, boolean onlyCheck)`
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.
`ShareUsersWithBot(DataInput input)`
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat with the bot.

### messageId

public long messageId
Identifier of the message with the button.

### buttonId

public int buttonId
Identifier of the button.

### sharedUserIds

public long[] sharedUserIds
Identifiers of the shared users.

### onlyCheck

public boolean onlyCheck
Pass true to check that the users can be shared by the button instead of actually sharing them.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ShareUsersWithBot

public ShareUsersWithBot()
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

Returns `Ok`

### ShareUsersWithBot

public ShareUsersWithBot(long chatId, long messageId, int buttonId, long[] sharedUserIds, boolean onlyCheck)
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

Returns `Ok`

Parameters:
  `chatId` - Identifier of the chat with the bot.
  `messageId` - Identifier of the message with the button.
  `buttonId` - Identifier of the button.
  `sharedUserIds` - Identifiers of the shared users.
  `onlyCheck` - Pass true to check that the users can be shared by the button instead of actually sharing them.

  Returns `Ok`

### ShareUsersWithBot

public ShareUsersWithBot(DataInput input) throws IOException
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`